Package org.silverpeas.components.survey.notification

## Class SurveyInstanceManualUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification
  - - org.silverpeas.components.survey.notification.SurveyInstanceManualUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification`
  Direct Known Subclasses:
    `PollingStationInstanceManualUserNotification`

      @Bean
      @Named
      public class SurveyInstanceManualUserNotification
      extends org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification

      `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurveyInstanceManualUserNotification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `check​(org.silverpeas.core.notification.user.NotificationContext context)` |
    `org.silverpeas.core.notification.user.UserNotification` | `createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)` |

    - ### Methods inherited from class org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

      `initializesWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyInstanceManualUserNotification

          public SurveyInstanceManualUserNotification()

  - ### Method Detail

    - #### check

          protected boolean check​(org.silverpeas.core.notification.user.NotificationContext context)

      Overrides:
        `check` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`

    - #### createUserNotification

          public org.silverpeas.core.notification.user.UserNotification createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)

      Specified by:
        `createUserNotification` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`